<?php $env = getenv('APP_ENV') ? : 'development'; ?>

<?= $this->doctype(); ?>

<html lang="fr">
    <head>
        <meta charset="utf-8">
        <?= $this->headTitle('admin_site_title')->setSeparator(' - ')->setAutoEscape(false) ?>

        <?=
            $this->headMeta()->appendName('viewport', 'width=device-width, initial-scale=1.0')
                             ->appendHttpEquiv('X-UA-Compatible', 'IE=edge');
        ?>

        <?=
            $this->headLink()->prependStylesheet($this->basepath('css/default.css'))
                             ->prependStylesheet($this->basepath('vendor/font-awesome/css/font-awesome'             . ($env === 'development' ? '' : '.min') . '.css'))
                             ->prependStylesheet($this->basepath('vendor/selectize/dist/css/selectize.bootstrap3.css'))
                             ->prependStylesheet($this->basepath('vendor/bootstrap/dist/css/bootstrap'              . ($env === 'development' ? '' : '.min') . '.css'))
        ?>

        <style type="text/css">
            [ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
                display: none !important;
            }
        </style>
    </head>
    <body ng-cloak>
        <header class="header-container">
            <div class="environment-info">
                <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="right" data-title="<?= $this->environment()->getName() ?>"></i>
                <i>
                    <?= $this->environment()->getName() ?>
                    <?= ($this->authStorage()->isAuthenticated() ? '<br /><i class="fa fa-user"></i> ' . $this->authStorage()->getUser()->getLogin() : '') ?>
                </i>
            </div>
            <div class="global-http-loading">
                <i class="fa fa-circle-o-notch fa-spin" ng-if="httpLoading"></i>
            </div>
        </header>

        <div class="layout-container">
            <?php if ($this->authStorage()->isAuthenticated()) : ?>
                <div class="nav-container" ng-controller="navbarController as self">
                    <div class="nav-scroller">
                        <ul class="nav">
                            <li>
                                <a href="<?= $this->url('root') ?>"><i class="fa fa-home fa-fw"></i> <?= $this->translate('admin_nav_home') ?></a>
                            </li>
                            <?php if ($this->acl()->isAllowed('admin:e:client:r')) : ?>
                                <li>
                                    <a href="<?= $this->url('client') ?>"><?= $this->icon('clients', 'fa-fw') ?> <?= $this->translate('client_module_title') ?></a>
                                </li>
                            <?php endif ?>
                            <?php if ($this->acl()->isAllowed('admin:e:network:r')) : ?>
                                <li>
                                    <a href="<?= $this->url('network') ?>"><?= $this->icon('networks', 'fa-fw') ?> <?= $this->translate('network_module_title') ?></a>
                                </li>
                            <?php endif ?>
                            <?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
                                <li>
                                    <a href=""><?= $this->icon('users', 'fa-fw') ?> <?= $this->translate('user_module_title') ?> <i class="fa fa-arrow-circle-right nav-arrow"></i></a>
                                    <ul class="nav">
                                        <li>
                                            <a href="<?= $this->url('user') ?>"><?= $this->icon('list', 'fa-fw') ?> <?= $this->translate('user_nav_list') ?></a>
                                        </li>

                                        <?php if ($this->acl()->isAllowed('user:e:user:c')) : ?>
                                            <li>
                                                <a href="<?= $this->url('user/form') ?>"><?= $this->icon('create', 'fa-fw') ?> <?= $this->translate('user_nav_form') ?></a>
                                            </li>
                                        <?php endif ?>
                                    </ul>
                                </li>
                            <?php endif ?>
                            <?php if ($this->acl()->isAllowed('user:e:role:r')) : ?>
                                <li>
                                    <a href=""><?= $this->icon('role', 'fa-fw') ?> <?= $this->translate('role_module_title') ?> <i class="fa fa-arrow-circle-right nav-arrow"></i></a>
                                    <ul class="nav">
                                        <li>
                                            <a href="<?= $this->url('role') ?>"><?= $this->icon('list', 'fa-fw') ?> <?= $this->translate('role_nav_list') ?></a>
                                        </li>

                                        <?php if ($this->acl()->isAllowed('user:e:role:c')) : ?>
                                            <li>
                                                <a href="<?= $this->url('role/form') ?>"><?= $this->icon('create', 'fa-fw') ?> <?= $this->translate('role_nav_form') ?></a>
                                            </li>
                                        <?php endif ?>
                                    </ul>
                                </li>
                            <?php endif ?>
                        </ul>
                        <ul class="nav">
                            <li class="nav-link-logout">
                                <a href="<?= $this->url('user/auth/logout') ?>">
                                    <span class="nav-link-icon"><?= $this->icon('logout', 'fa-fw') ?></span>
                                    <span class="nav-link-text"><?= $this->translate('user_nav_logout') ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            <?php endif; ?>

            <div class="content-container">
                <div class="content-scroller">
                    <div class="container-fluid">
                        <?= $this->content; ?>
                    </div>
                </div>
            </div>

            <div id="flashMessage-container"></div>
        </div>

        <footer class="footer">
            Footer
        </footer>

        <span id="__theme">default</span>

        <?=
            $this->headScript()->prependFile($this->basepath('vendor/angular-selectize2/dist/angular-selectize.js'))
                               ->prependFile($this->basepath('vendor/angularjs-slider/dist/rzslider.js'))
                               ->prependFile($this->basepath('vendor/angular-ui-sortable/sortable' . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/angular-ui-tinymce/' . ($env === 'development' ? 'src' : 'dist') . '/tinymce' . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/angular-filter/dist/angular-filter'            . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/angular-file-upload/dist/angular-file-upload'  . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/angular-nvd3/dist/angular-nvd3'                . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/angular/angular'                               . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/nvd3/build/nv.d3'                              . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/d3/d3'                                         . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/bootstrap/dist/js/bootstrap'                   . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/jquery.inputmask/dist/' . ($env === 'development' ? '' : 'min/') . 'jquery.inputmask.bundle' . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/moment/min/moment.min.js'))
                               ->prependFile($this->basepath('vendor/selectize/dist/js/standalone/selectize'        . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/tinymce/tinymce'                               . ($env === 'development' ? '' : '.min') . '.js'))
                               ->prependFile($this->basepath('vendor/jquery/dist/jquery'                            . ($env === 'development' ? '' : '.min') . '.js'))
        ?>

        <?php
            $this->angular('js/src/shared/layout/controller/navbar.js', 'prepend');
            $this->angular('js/src/shared/service/restFactory.js',      'prepend');
            $this->angular('js/src/shared/service/selectFactory.js',    'prepend');
            $this->angular('js/src/shared/service/treeBuilder.js',      'prepend');
            $this->angular('js/src/shared/service/flashMessenger.js',   'prepend');
	        $this->angular('js/src/shared/service/guid.js',             'prepend');
            $this->angular('js/src/shared/service/translator.js',       'prepend');
            $this->angular('js/src/user/service/configuration.js', 'prepend');
            $this->angular('js/src/shared/directive/textEditor.js',     'prepend');
            $this->angular('js/src/shared/directive/fieldErrors.js',    'prepend');
            $this->angular('js/src/shared/directive/tableBuilder.js',   'prepend');
            $this->angular('js/src/shared/directive/inputDate.js', 'prepend');
            $this->angular('js/src/shared/directive/inputMask.js', 'prepend');
            $this->angular('js/src/shared/directive/inputDate.js',      'prepend');
            $this->angular('js/src/shared/directive/inputBoolean.js', 'prepend');
            $this->angular('js/src/shared/directive/onEnter.js',        'prepend');
            $this->angular('js/src/user/service/control.js',            'prepend');
            $this->angular('js/src/user/controller/login.js',           'prepend');
            $this->angular('js/src/app.js',                             'prepend');
        ?>

        <?= $this->inlineScript() ?>
        <?= $this->angular() ?>
    </body>
</html>
